STRCOLL(3) | Library Functions Manual | STRCOLL(3)

# NAME

strcoll — compare strings according to current collation

# LIBRARY

Standard C Library (libc, -lc)

# SYNOPSIS

#include <string.h>

int
strcoll(const char *s1, const char *s2);

# DESCRIPTION

The strcoll() function lexicographically compares the nul-terminated strings s1 and s2 according to the current locale collation and returns an integer greater than, equal to, or less than 0, according to whether s1 is greater than, equal to, or less than s2.

# SEE ALSO

bcmp(3), memcmp(3), setlocale(3), strcasecmp(3), strcmp(3), strxfrm(3)

# STANDARDS

The strcoll() function conforms to ANSI X3.159-1989 (“ANSI C89”).

June 4, 1993 | NetBSD 7.2